function T=hpr_test(hpr)

  deg2rad = pi/180.0;
	h = hpr(1) * deg2rad;
	p = hpr(2) * deg2rad;
	r = hpr(3) * deg2rad;

	cos_h = cos(h);
  sin_h = sin(h);
	cos_p = cos(p);
  sin_p = sin(p);
	cos_r = cos(r);
  sin_r = sin(r);

  T=zeros(3,3);

	T(3,1) = cos_h * cos_r  -cos_h * sin_p * sin_r ;
	T(3,2) = -sin_h * cos_p;
	T(3,3) = cos_h * sin_r +sin_h * sin_p * cos_r ;

	T(1,1) = sin_h * cos_r + cos_h * sin_p * sin_r;
	T(1,2) = cos_h * cos_p;
	T(1,3) = sin_h * sin_r - cos_h * sin_p * cos_r;

	T(2,1) = - cos_p * sin_r;
	T(2,2) = sin_p;
	T(2,3) = cos_p * cos_r ;

  return ;

 end
