clc
clear
pkg load symbolic
G = sym('G');
K = sym('K');
A = sym('A');
B = sym('B');
C = sym('C');
D = sym('D');
E = sym('E');
F = sym('F');
t = sym('t');
T=solve(G*(A+B*t)^2 + G*(C+D*t)^2 + K*(E+F*t)^2==1,t);
latex(simplify(T))


h = sym('-h');
p = sym('p');
r = sym('r');

H=[sym(['0']),sym(['1']),sym(['0'])];
P=[sym(['0']),sym(['0']),sym(['1'])];
R=[sym(['1']),sym(['0']),sym(['0'])];

H1 = H * cos(h) + cross(P ,H) * sin(h);
R1 = R * cos(h) + cross(P ,R) * sin(h);

H2 = H1 * cos(p) + cross(R1 ,H1) * sin(p);
P1 = P  * cos(p) + cross(R1 , P) * sin(p);

P2 = P1 * cos(r) + cross(H2 ,P1) * sin(r);
R2 = R1 * cos(r) + cross(H2 ,R1) * sin(r);

TP = simplify([H2;P2;R2]);


latex(TP)
